#!/usr/local/bin/python
# coding: utf-8

"""
Constants for graph/proof_graph.py (ProofGraph class)
"""
# Nodes attributes
LABEL = "label"
FORMULA = "formula"
ANCESTOR_TARGET = "ancestor_target"
DISCHARGE = "discharge"
LEVEL = "level"
MULTI_A_TARGET = "multi_ancestor_target"
ACTIVE_COLORS = "active_colors"

# Edges attributes
DEDUCTIVE_COLOR = "color"
ANCESTOR = "ancestor"
PATH = "path"
HYPOTHESIS = "hypothesis"
DEPENDENCIES = "dependencies"
COLLAPSED = "collapsed"
LAMBDA_COLORS = "lambda_colors"
COMMENT = "comment"

"""
Constants for visualize/visual_graph_adapter (VisualGraphAdapter class)
"""
# Nodes orientation
UPPER = "source"
LOWER = "sink"
SAME = "same"

# Graphviz attributes
XLABEL = "xlabel"
FONTCOLOR = "fontcolor"
COLOR = "color"

# Colors
BLUE = "blue"
RED = "red"

# File extensions
PDF = "pdf"
DOT = "dot"

# Boolean values
FALSE = "False"
TRUE = "True"

LAMBDA = "&#955;"

INPUT = "input"
FINAL = "final"
